Loading...
Searching...
No Matches
casacore::RecordGram_global_functions_RecordGramFunctions Struct Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

More...

`#include <RecordGram.h>`

## Public Member Functions

int | recordGramParseCommand (const String &command)
| Declare the bison parser (is implemented by bison command).
void | RecordGramerror (const char *)
| The yyerror function for the parser.
Int & | recordGramPosition ()
| Give the current position in the string.
int | recordGramInput (char *buf, int max_size)
| Declare the input routine for flex/bison.
String | recordGramRemoveEscapes (const String &in)
| A function to remove escaped characters.
String | recordGramRemoveQuotes (const String &in)
| A function to remove quotes from a quoted string.

## Detailed Description

Global functions for flex/bison scanner/parser for RecordGram

### Intended use:

Internal

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Prerequisite

- RecordGram.l and.y (flex and bison grammar)

### Synopsis

Global functions are needed to define the input of the flex scanner and to start the bison parser. The input is taken from a string.

### Motivation

It is necessary to be able to give a record select command in ASCII. This can be used in a CLI or in the record browser to get a subset of a record or to sort a record.

Definition at line 78 of file RecordGram.h.

## Member Function Documentation

## RecordGramerror()

void casacore::RecordGram_global_functions_RecordGramFunctions::RecordGramerror | ( | const char * |  | ) |

The yyerror function for the parser.

It throws an exception with the current token.

## recordGramInput()

int casacore::RecordGram_global_functions_RecordGramFunctions::recordGramInput | ( | char * | buf,
|  | int | max_size )

Declare the input routine for flex/bison.

## recordGramParseCommand()

int casacore::RecordGram_global_functions_RecordGramFunctions::recordGramParseCommand | ( | const String & | command | ) |

Declare the bison parser (is implemented by bison command).

## recordGramPosition()

Int & casacore::RecordGram_global_functions_RecordGramFunctions::recordGramPosition | ( |  | ) |

Give the current position in the string.

This can be used when parse errors occur.

## recordGramRemoveEscapes()

String casacore::RecordGram_global_functions_RecordGramFunctions::recordGramRemoveEscapes | ( | const String & | in | ) |

inline

A function to remove escaped characters.

Definition at line 94 of file RecordGram.h.

## recordGramRemoveQuotes()

String casacore::RecordGram_global_functions_RecordGramFunctions::recordGramRemoveQuotes | ( | const String & | in | ) |

inline

A function to remove quotes from a quoted string.

Definition at line 98 of file RecordGram.h.

The documentation for this struct was generated from the following file:

- tables/TaQL/RecordGram.h